package core

import (
	"eta/mysteel_watch/global"
	"eta/mysteel_watch/init_serve"
	"fmt"
)

func RunServe() {
	//初始化路由
	r := init_serve.InitRouter()
	//启动任务
	init_serve.InitTask()
	// 3.监听端口，默认在8080
	// Run("里面不指定端口号默认为8080")
	fmt.Println("port:", global.CONFIG.Serve.Port)
	err := r.Run(fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port)) // 监听并在 0.0.0.0:8080 上启动服务
	if err != nil {
		panic(fmt.Errorf("服务启动失败，Err:%s", err))
	}
}
