package routers

import (
	"github.com/gin-gonic/gin"
	"eta/mysteel_watch/controller/index"
)

func InitIndex(group *gin.RouterGroup) {
	//指标
	indexController := new(index.IndexController)
	group.GET("server_check", indexController.ServerCheck)
	group.GET("test", indexController.Test)
	group.POST("create", indexController.Create)
	group.POST("delete", indexController.Delete)
	group.POST("refresh", indexController.Refresh)
}