package services

import (
	"eta/mysteel_watch/global"
	"github.com/rdlucklib/rdluck_tools/http"
)

const (
	ServerCheckUrl = "http://127.0.0.1:7007/mysteel_chemical/server"
)

func ServerCheck() {
	body, err := http.Get(ServerCheckUrl)
	if err != nil {
		global.LOG.Error("ServerCheck Err:" + err.Error())
		return
	}
	global.LOG.Debug("ServerCheck Result:" + string(body))
}
